# Class: random

Represents a random generator and its state.

## Table of contents

### Constructors

- [constructor](random.md#constructor)

### Methods

- [integer](random.md#integer)
- [real](random.md#real)

## Constructors

### constructor

\+ **new random**(): [*random*](random.md)

**Returns:** [*random*](random.md)

## Methods

### integer

▸ **integer**(`low`: *number*, `high`: *number*): *number*

#### Parameters:

Name | Type |
:------ | :------ |
`low` | *number* |
`high` | *number* |

**Returns:** *number*

___

### real

▸ **real**(`low`: *number*, `high`: *number*): *number*

#### Parameters:

Name | Type |
:------ | :------ |
`low` | *number* |
`high` | *number* |

**Returns:** *number*
